define(["require", "exports", "async-middleware", "@essential-projects/http_node", "@process-engine/consumer_api_contracts"], function (require, exports, async_middleware_1, http_node_1, consumer_api_contracts_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class ApplicationInfoRouter extends http_node_1.BaseRouter {
        constructor(applicationInfoController) {
            super();
            this.applicationInfoController = applicationInfoController;
        }
        get baseRoute() {
            return 'api/consumer/v1';
        }
        async initializeRouter() {
            this.registerRoutes();
        }
        registerRoutes() {
            const controller = this.applicationInfoController;
            this.router.get(consumer_api_contracts_1.restSettings.paths.getApplicationInfo, async_middleware_1.wrap(controller.getApplicationInfo.bind(controller)));
        }
    }
    exports.ApplicationInfoRouter = ApplicationInfoRouter;
});
//# sourceMappingURL=application_info_router.js.map